<a href="{{ reportUrl }}">
    <table
            class="mat-table full-width-table result-table"
            [ngClass]="{
      passed: latestResult.status.toLowerCase() == 'passed',
      failed: latestResult.status.toLowerCase() == 'failed',
      skipped: latestResult.status.toLowerCase() == 'skipped',
      undefined:
        latestResult.status.toLowerCase() == 'no results' ||
        latestResult.status.toLowerCase() == 'undefined'
    }"
    >
        <tr>
            <th
                    class="mat-header-cell"
                    colspan="1"
                    [ngClass]="{
          undefined:
            latestResult.status.toLowerCase() == 'no results' ||
            latestResult.status.toLowerCase() == 'undefined'
        }"
            >
                {{ projectName }}
            </th>
        </tr>
        <tr>
            <td
                    class="mat-cell status-value"
                    [ngClass]="{
          passed: latestResult.status.toLowerCase() == 'passed',
          failed: latestResult.status.toLowerCase() == 'failed',
          skipped: latestResult.status.toLowerCase() == 'skipped',
          undefined:
            latestResult.status.toLowerCase() == 'no results' ||
            latestResult.status.toLowerCase() == 'undefined'
        }"
            >
                {{ latestResult.status }}
            </td>
        </tr>
        <tr>
            <td class="mat-cell">{{ latestResult.totalTests }}</td>
        </tr>
        <tr>
            <td class="mat-cell">{{ latestResult.passedTests }}</td>
        </tr>
        <tr>
            <td class="mat-cell" [ngClass]="{ failed: latestResult.failedTests > 0 }">
                {{ latestResult.failedTests }}
            </td>
        </tr>
        <tr>
            <td class="mat-cell" [ngClass]="{ skipped: latestResult.skippedTests > 0 }">
                {{ latestResult.skippedTests }}
            </td>
        </tr>
        <tr>
            <td class="mat-cell">{{ latestResult.environment }}</td>
        </tr>
        <tr>
            <td class="mat-cell">{{ formatDate(latestResult.updatedAt) }}
                <span matTooltip="This result is older than 24 hours"
                      class="outdated-warning">{{ showWarningIfOutDated(latestResult.updatedAt) }}</span>
            </td>
        </tr>
    </table>
</a>
